/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-05-31
 * 描述            ：公差项目基础信息表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Com.impl;

import java.util.ArrayList;
import java.util.List;

import market.Com.mapper.ComBaseToleranceMapper;
import market.Com.service.ComBaseToleranceService;
import market.Com.vo.ComBaseInfo;
import market.Com.vo.ComBaseTolerance;
import market.Com.vo.CommonPage;
import market.Com.vo.ResultModel;

import com.hnshituo.basic.service.impl.BaseServiceImpl;
import com.hnshituo.basic.spring.remoting.annotation.RemoteService;


@RemoteService(path="ComBaseToleranceService")
public class ComBaseToleranceServiceImpl extends BaseServiceImpl<ComBaseTolerance,Object> implements ComBaseToleranceService {

	
	public ResultModel doQuerySqlCbt(CommonPage<ComBaseTolerance> sum) {
		ResultModel rm=new ResultModel();
		ComBaseTolerance ojb = sum.getObject();
		String tol_code=ojb.getTol_code();
		
		if (tol_code != null && !"".equals(tol_code)) {
			ComBaseTolerance cbt=new ComBaseTolerance();
			cbt=this.getMapper(ComBaseToleranceMapper.class).findById(tol_code);
			
			List<ComBaseInfo> bic=new ArrayList<ComBaseInfo>();
			bic=this.getBean(ComBaseInfoServiceImpl.class).doQueryCbi(cbt.getBase_code());
			rm.setData(bic);
			rm.setState("200");
		}else{
			rm.setState("500");
			rm.setMsgInfo("查询失败！请传入tol_code");
			
		}
		return rm;
	}

}
